package com.lanyuanxiaoyao.service.configuration.entity.schedule;

/**
 * @author lanyuanxiaoyao
 * @date 2023-06-27
 */
public class ScheduleStrategy {
    private String name;
    private String comment;
    private String job;
    private String trigger;
    private Long lastFireTime;
    private Long nextFireTime;

    public ScheduleStrategy() {
    }

    public String getName() {
        return name;
    }

    public String getComment() {
        return comment;
    }

    public String getJob() {
        return job;
    }

    public String getTrigger() {
        return trigger;
    }

    public Long getLastFireTime() {
        return lastFireTime;
    }

    public Long getNextFireTime() {
        return nextFireTime;
    }

    @Override
    public String toString() {
        return "ScheduleStrategy{" +
                "name='" + name + '\'' +
                ", comment='" + comment + '\'' +
                ", job='" + job + '\'' +
                ", trigger='" + trigger + '\'' +
                ", lastFireTime=" + lastFireTime +
                ", nextFireTime=" + nextFireTime +
                '}';
    }
}
